#!/bin/sh

cat > snprintftest.c <<EOF
#include <stdio.h>
#include <locale.h>

int main ()
{
  char buf[83] = {1};
  char *result;
  char *category="LC_COLLATE";
  char *locale="ko_KR.eucKR";

  result = setlocale(LC_COLLATE, "");

  snprintf(buf, sizeof(buf), "%s=%s", category, result);

  printf("%s\n", buf);
  printf("%s\n", setlocale(LC_CTYPE, NULL));

  return 0;
}
EOF

cc -Ae -O0 +DD64 -c -o snprintftest.o snprintftest.c

cc -Ae -O0 +DD64 -Wl,+b -Wl,'whatever'  -Wl,-z snprintftest.o -o snprintftest
LC_ALL= LC_CTYPE=ko_KR.eucKR LC_COLLATE=ko_KR.eucKR ./snprintftest
